Package org.python.modules.itertools

# Class itertools

java.lang.Object
org.python.modules.itertools.itertools

All Implemented Interfaces:
  `ClassDictInit`

public class itertools extends Object implements ClassDictInit
Functional tools for creating and using iterators. Java implementation of the CPython module itertools.

Since:
  2.5

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PyString`
`__doc__`
`static PyString`
`__doc__tee`

## Constructor Summary

Constructors
Constructor
Description
`itertools()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`classDictInit(PyObject dict)`
`static PyTuple`
`tee(PyObject iterable)`
Create a pair of iterators, each of which is effectively a copy of iterable.
`static PyTuple`
`tee(PyObject iterable, int n)`
Create a tuple of iterators, each of which is effectively a copy of iterable.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __doc__

public static final PyString __doc__

### __doc__tee

public static PyString __doc__tee

## Constructor Details

### itertools

public itertools()

## Method Details

### classDictInit

public static void classDictInit(PyObject dict)

### tee

public static PyTuple tee(PyObject iterable, int n)
Create a tuple of iterators, each of which is effectively a copy of iterable.

### tee

public static PyTuple tee(PyObject iterable)
Create a pair of iterators, each of which is effectively a copy of iterable.